/************************************************************************* 

artists.pov

Author: Gennady Obukhov 
obukhov@mail.com 
http://propro.ru/go/
date: October 19 2002
Walnut Creek, California

*************************************************************************/

camera {                   
  orthographic
  location <(image_width/image_height)/2, 0.5, -1.>
  look_at <(image_width/image_height)/2, 0.5, 0>
  right x*image_width/image_height
}

light_source {<1, 3, -5> color rgb 1}

#include "filters.inc"                               

#declare tahoe = pigment {
  image_map{    
    jpeg "tahoe.jpg" 
    map_type 0
    interpolate 0
    once
  } 
  scale <4/3, 1, 1>
} 

union {
  // General-purpose filters
  //MosaicLinear (tahoe, sphere{0, 0.5 scale<1, 1, 0.5> no_shadow}, 120, 90, finish{ambient 0.44 phong 0}, 1)
  //MosaicDiagonal (tahoe, sphere{0, 0.5 scale<1, 1, 0.5> no_shadow}, 120, 90, finish{ambient 0.44 phong 0}, 0) 
  //PovRay (tahoe, 80, 60, finish{ambient 0.35 phong 0}, 0)
  //Oriental(tahoe, 120, 90, 0.45, finish{ambient 0.4 phong 0.35}, 0) 
  //Pompidou(tahoe, 40, 30, 0.3, 1.3, 0.08, 0.02, finish{ambient 0.35 phong 0}, 1) // wheels visible w/o orthographic camera
  
  // Artistic filters
  plane{-z, 0 pigment{tahoe} finish{ambient 0.4}}
  //Monet(tahoe, 40, 30, finish{ambient 0.4 phong 0.1})
  VanGogh(tahoe, 120, 90, finish{ambient 0.4 phong 0.1})
  //Signac(tahoe, 120, 90, finish{ambient 0.4 phong 0.1}) // use plane above if you have holes 
  //Picasso(tahoe, 80, 60, finish{ambient 1 diffuse 0 phong 0})
  //Mondrian(tahoe, 40, 30, finish{ambient 1 diffuse 0 phong 0})
  //Pollock(tahoe, 120, 90, finish{ambient 0.4 phong 0.25}) // use plane above if you have holes
  //Lichtenstein(tahoe, 80, 60, finish{ambient 1 diffuse 0 phong 0}, 1)
  //Escher(tahoe, 28, 21, finish{ambient 0.55 phong 0}) // use camera location <(4/3)/2, 0.5, -1.12> 
  //Arcimboldo (tahoe, 40, 30, finish{ambient 0.3 phong 0.2}, 0)
}
